nfsidmap(8)

NUME
nfsidmap - programul de apelare idmapper NFS

SINOPSIS
nfsidmap [-v] [-t timp-așteptare] key desc
nfsidmap [-v] [-c]
nfsidmap [-v] [-u|-g|-r utilizator]
nfsidmap -d
nfsidmap -l
nfsidmap -h

DESCRIERE
Protocolul NFSv4 reprezintă valorile UID și GID ale sistemului local pe fir ca șiruri de caractere de forma utilizator@domeniu. Procesul de conversie din UID în șir și din șir în UID este denumit „cartografiere ID”.

Sistemul obține partea utilizator a șirului prin căutarea unei parole sau a unui grup. Mecanismul de căutare este configurat în /etc/idmapd.conf.

În mod implicit, partea domeniu a șirului este numele de domeniu DNS al sistemului. De asemenea, poate fi specificată în /etc/idmapd.conf dacă sistemul este „multi-homed” (conectat la mai multe rețele) sau dacă numele de domeniu DNS al sistemului nu se potrivește cu numele domeniului Kerberos al sistemului.

Atunci când domeniul nu este specificat în /etc/idmapd.conf, serverul DNS local va fi interogat pentru înregistrarea text _nfsv4idmapdomain. În cazul în care înregistrarea există, aceasta va fi utilizată ca domeniu. În cazul în care înregistrarea nu există, se va folosi partea de domeniu din domeniul DNS.

Programul /usr/sbin/nfsidmap efectuează conversiile în locul nucleului. Nucleul utilizează mecanismul request-key pentru a efectua un apel. /usr/sbin/nfsidmap este invocat de /sbin/request-key, efectuează conversia și inițializează o cheie cu informațiile rezultate. Nucleul stochează apoi rezultatele conversiei în cheie.

nfsidmap poate, de asemenea, să șteargă rezultatele memorate în memoria cache a hărții ID în nucleu sau să revoce o anumită cheie. O cheie incorectă din memoria cache poate duce la revenirea proprietății fișierelor și directoarelor la „nobody” în punctele de montare NFSv4.

În plus, opțiunile -d și -l sunt disponibile pentru a ajuta la diagnosticarea configurărilor greșite. Acestea nu au niciun efect asupra inelului de chei care conține rezultatele cartografierii ID-urilor.

OPȚIUNI

-c  Eliberează inelul de chei de toate cheile deținute.

-d  Afișează numele de domeniu NFSv4 efectiv al sistemului la ieșirea standard.

-g utilizator
    Revocă cheia gid a utilizatorului indicat.

-h  Afișează mesajul de utilizare.

-l  Afișează la ieșirea standard toate cheile aflate în prezent în inelul de chei utilizat pentru a stoca în memoria cache rezultatele cartografierii ID-urilor. Aceste chei sunt vizibile numai pentru superutilizator.

-r utilizator
    Revocă atât cheia uid, cât și gid a utilizatorului indicat.

-t timp-așteptare
    Fixează temporizatorul de expirare, în secunde, pentru cheie. Valoarea implicită este de 600 de secunde (10 minute).

-u utilizator
    Revocă cheia uid a utilizatorului indicat.

-v  Mărește nivelul de detaliere al mesajelor informative de la ieșire (poate fi specificată de mai multe ori).

CONFIGURAREA
Fișierul /etc/request-key.conf va trebui să fie modificat astfel încât /sbin/request-key să poată direcționa corect apelul. Următoarea linie trebuie adăugată înainte de un apel la keyctl negate:

create    id_resolver    *    *    /usr/sbin/nfsidmap -t 600 %k %d

Acest lucru va direcționa toate cererile id_resolver către programul /usr/sbin/nfsidmap. -t 600 definește după câte secunde în viitor va expira cheia. Acesta este un parametru opțional pentru /usr/sbin/nfsidmap și va avea valoarea implicită de 600 de secunde atunci când nu este specificat.

Sistemul idmapper utilizează patru descrieri cheie:

  uid: Găsește UID-ul pentru utilizatorul dat
  gid: Găsește GID-ul pentru grupul dat
  user: Găsește numele de utilizator pentru UID-ul dat
  group: Găsește numele grupului pentru GID-ul dat

Puteți alege să vă ocupați de oricare dintre acestea în mod individual, în loc să utilizați programul generic de apelare. Dacă doriți să folosiți propriul program pentru căutarea uid-ului, editați fișierul request-key.conf astfel încât să fie similar cu aceasta:

create    id_resolver    uid:*    *    /un/alt/program %k %d
create    id_resolver    *    *    /usr/sbin/nfsidmap %k %d

Observați că noua linie a fost adăugată deasupra liniei pentru programul generic. request-key va găsi prima linie corespunzătoare și va rula programul corespunzător. În acest caz, /un/alt/program se va ocupa de toate căutările uid, iar /usr/sbin/nfsidmap se va ocupa de căutările gid, user și group.

FIȘIERE

/etc/idmapd.conf
    Fișier de configurare a corespondenței ID-urilor

/etc/request-key.conf
    Fișierul de configurare a cheilor de cerere

CONSULTAȚI ȘI
idmapd.conf(5), request-key(8)

AUTOR
Bryan Schumaker, <bjschuma@netapp.com>

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.